Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/14546/?format=api
{ "ob_id": 14546, "uuid": "cacbb519cd544ba2af1f31bc0585d6ea", "title": "Met Office radiosonde measurements from Cardington, Bedfordshire", "abstract": "The Met Office's research unit based in Cardington, Bedfordshire, study boundary-layer meteorology and surface processes to help with the development of numerical weather prediction methods. Surface meteorological data and high resolution radiosonde data are collected from the Met Office's research site and elsewhere. \r\n\r\nThe dataset contains recorded radiosonde measurements of pressure, temperature and humidity.", "keywords": "Met Office, meteorology, radiosonde, Cardington", "publicationState": "published", "dataPublishedTime": "2016-08-08T12:00:00", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "superseded", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/14547/?format=api", "dataPath": "/badc/ukmo-cardington/data/radiosonde/cardington/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 117755605, "numberOfFiles": 1343, "fileFormat": "Data are Binary formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3839/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/39/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "These data are collected and prepared by staff at the Met Office research unit before being made available via the BADC. The BADC ingests the data into its archive on receipt of these data.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/2406/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6722/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56415/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56416/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56413/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56417/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56418/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56420/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56419/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56414/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56421/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56422/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/14548/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2532/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "ukmo_wx", "label": "restricted: ukmo_wx group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ukmo_agreement.pdf", "licenceClassifications": "academic" }, { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2533/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "ukmo_wx_gov", "label": "restricted: ukmo_wx_gov group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ukmo_agreement_gov.pdf", "licenceClassifications": "policy" } ], "discoveryKeywords": [] }